import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, i = n.length - 1, p; i >= 0; i--)
    (p = n[i]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && g(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--drag", this.class = "c-pieIcon c-pieIcon--drag", this.name = "IconDrag";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--drag"><path d="M15 9.531H1v1.313h14z"></path><path d="M15 5.156H1V6.47h14z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-drag")
], s);
export {
  s as IconDrag
};
